Skip to main content
POST
/
automation-runs
/
{id}
/
cancel
Cancel workflow run
curl --request POST \
  --url https://api.flipsidecrypto.xyz/public/v3/automation-runs/{id}/cancel \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "runById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "state": "pending",
  "triggeredBy": "schedule",
  "error": {},
  "metadata": {},
  "inputValues": {},
  "startedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "stateHistory": [
    {
      "state": "pending",
      "at": "2023-11-07T05:31:56Z"
    }
  ],
  "userAgent": "web",
  "workflowName": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Response

Workflow run cancelled

id
string<uuid>
required
workflowId
string<uuid>
required
organizationId
string<uuid>
required
runById
string<uuid> | null
required
state
enum<string>
required
Available options:
pending,
running,
completed,
failed,
cancelled
triggeredBy
enum<string>
required
Available options:
schedule,
manual,
api
error
object
required
metadata
object
required
inputValues
object
required
startedAt
string<date-time> | null
required
completedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
stateHistory
object[]
required
userAgent
enum<string> | null
Available options:
web,
cli,
internal-cli,
api,
mcp,
slack,
discord,
telegram,
schedule,
unknown,
null
workflowName
string